Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.tablegenerator.TableCellDataArray Class Reference

## Public Member Functions
| TableCellDataArray ()
| Constructor.
| TableCellDataArray (TableCellDataArray other)
| Constructor, with another array object. More...
void | add (TableCellDataColArray element)
| Add an element to the end of current array. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
TableCellDataColArray | getAt (long index)
| Retrieve a copy of the element at position specified by index in current array. More...
long | getSize ()
| Get the size of elements in current array. More...
void | insertAt (long index, TableCellDataColArray element)
| Insert an element before the position specified by index. More...
void | removeAll ()
| Remove all the element from current array. More...
void | removeAt (long index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of TableCellDataColArray objects,inserted in the order of the displayed table from top to bottom.

## Constructor & Destructor Documentation

## ◆ TableCellDataArray()

com.foxit.sdk.addon.tablegenerator.TableCellDataArray.TableCellDataArray | ( | TableCellDataArray | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ add()

void com.foxit.sdk.addon.tablegenerator.TableCellDataArray.add | ( | TableCellDataColArray | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ delete()

synchronized void com.foxit.sdk.addon.tablegenerator.TableCellDataArray.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAt()

TableCellDataColArray com.foxit.sdk.addon.tablegenerator.TableCellDataArray.getAt | ( | long | index | ) |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ getSize()

long com.foxit.sdk.addon.tablegenerator.TableCellDataArray.getSize | ( |  | ) |

Get the size of elements in current array.

Returns
  The size.

## ◆ insertAt()

void com.foxit.sdk.addon.tablegenerator.TableCellDataArray.insertAt | ( | long | index,
|  | TableCellDataColArray | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ removeAll()

void com.foxit.sdk.addon.tablegenerator.TableCellDataArray.removeAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ removeAt()

void com.foxit.sdk.addon.tablegenerator.TableCellDataArray.removeAt | ( | long | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.